Uploaded image for project: 'XWiki Platform'
  1. XWiki Platform
  2. XWIKI-11602

Introduce a configuration to select the HTML version to use according to the current skin

    Details

    • Type: Improvement
    • Status: Closed
    • Priority: Major
    • Resolution: Fixed
    • Affects Version/s: 6.4-milestone-2
    • Fix Version/s: 7.1-milestone-1
    • Component/s: Old Core
    • Labels:
      None
    • Difficulty:
      Unknown
    • Similar issues:

      Description

      With XRENDERING-137, we now have an HTML5 renderer.

      Problem: the XHTML 1.0 renderer is used in a lot of places in XWiki Platform, and hardcoded.

      We have 2 choices:

      1. introduce a new constant: XWIKI_SYNTAX, that we could use everywhere
        or
      2. introduce a new configuration (that could depends on the skin maybe, since Colibri is still using XHTML 1.0) to change globally the default syntax to use.

        Attachments

          Issue Links

            Activity

              People

              • Assignee:
                gdelhumeau Guillaume Delhumeau
                Reporter:
                gdelhumeau Guillaume Delhumeau
              • Votes:
                0 Vote for this issue
                Watchers:
                3 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved:
                  Date of First Response: